This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 52901 - klogd keeps System.map open
klogd keeps System.map open
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 14:35 EDT by Pete Zaitcev
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 22:59:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2001-08-30 14:35:12 EDT
Description of Problem:

On a system with /boot separated, it is not possible to unmount
it until klogd is killed.

Actual Results:

[root@mellorn zaitcev]# lsof -p 335
COMMAND PID USER   FD   TYPE     DEVICE    SIZE   NODE NAME
klogd   335 root  cwd    DIR        3,6    4096      2 /
klogd   335 root  rtd    DIR        3,6    4096      2 /
klogd   335 root  txt    REG        3,6   20380 502961 /sbin/klogd
klogd   335 root  mem    REG        3,6  434945 356930 /lib/ld-2.1.92.so
klogd   335 root  mem    REG        3,6 4776568 356937 /lib/libc-2.1.92.so
klogd   335 root    0r   REG        0,1       0      5 /proc/kmsg
klogd   335 root    1u  unix 0xcf4f4000            508 socket
klogd   335 root    2r   REG        3,1  213234     21
/boot/System.map-2.2.16-22smp
[root@mellorn zaitcev]# cat /etc/redhat-release 
Red Hat Linux release 7.0 (Guinness)


Additional Information:


Same story on Fairfax. Does anyone have an explantion why
to keep the System.map open? As far as I know, it is only
needed to print backtraces upon oops.
Comment 1 Bill Nottingham 2002-01-24 22:59:29 EST
That is the only reason, and with kksymoops, it's somewhat irrelevant.
Comment 2 Bill Nottingham 2002-03-12 16:31:25 EST
leak fixed in sysklogd-1.4.1rh-5.
Comment 3 John Flanagan 2004-08-18 10:55:30 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-348.html

Note You need to log in before you can comment on or make changes to this bug.